/**
 * Perform a vector-based search for a phrase within a larger text.
 * If no vector match is found, fallback to a case-insensitive substring search.
 * Return a snippet of text around the found match.
 *
 * @param text - The input text to search within.
 * @param phrase - The phrase to search for.
 * @param windowSize - Number of characters around the match to include.
 * @returns A snippet of text containing the best match or a not-found message.
 */
export declare function vectorSearchWithBubble(text: string, phrase: string, windowSize?: number): string;
